Package weka.core.pmml.jaxbbindings

# Class Characteristic

java.lang.Object
weka.core.pmml.jaxbbindings.Characteristic

public class Characteristic extends Object

Java class for Characteristic element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="Characteristic">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}Attribute" maxOccurs="unbounded"/>
             </sequence>
             <attribute name="baselineScore" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             <attribute name="name" type="{http://www.dmg.org/PMML-4_1}FIELD-NAME" />
             <attribute name="reasonCode" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Characteristic()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Attribute>`
  `getAttribute()`
  Gets the value of the attribute property.
  `Double`
  `getBaselineScore()`
  Gets the value of the baselineScore property.
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `String`
  `getName()`
  Gets the value of the name property.
  `String`
  `getReasonCode()`
  Gets the value of the reasonCode property.
  `void`
  `setBaselineScore(Double value)`
  Sets the value of the baselineScore property.
  `void`
  `setName(String value)`
  Sets the value of the name property.
  `void`
  `setReasonCode(String value)`
  Sets the value of the reasonCode property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Characteristic

    public Characteristic()

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getAttribute

    public List<Attribute> getAttribute()
    Gets the value of the attribute property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the attribute property.

    For example, to add a new item, do as follows:

            getAttribute().add(newItem);

    Objects of the following type(s) are allowed in the list `Attribute`

  - ### getBaselineScore

    public Double getBaselineScore()
    Gets the value of the baselineScore property.
    Returns:
      possible object is `Double`

  - ### setBaselineScore

    public void setBaselineScore(Double value)
    Sets the value of the baselineScore property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getName

    public String getName()
    Gets the value of the name property.
    Returns:
      possible object is `String`

  - ### setName

    public void setName(String value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `String`

  - ### getReasonCode

    public String getReasonCode()
    Gets the value of the reasonCode property.
    Returns:
      possible object is `String`

  - ### setReasonCode

    public void setReasonCode(String value)
    Sets the value of the reasonCode property.
    Parameters:
      `value` - allowed object is `String`